Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 629838 (enchant-2) - [TRACKER] Incompatibilities with >=app-text/enchant-2
Summary: [TRACKER] Incompatibilities with >=app-text/enchant-2
Status: CONFIRMED
Alias: enchant-2
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on: 629772 629842 676920 681564 629750 629806 629808 629814 629818 629840 629844 630408 643718 660720 667552
Blocks: 662742
  Show dependency tree
 
Reported: 2017-09-03 21:44 UTC by Lars Wendler (Polynomial-C)
Modified: 2020-02-02 19:50 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Wendler (Polynomial-C) gentoo-dev 2017-09-03 21:44:31 UTC
As ususal no talking here please. If you found a package not building against
=enchant-2.1.0 please file a new bug and make it block this bug.
Comment 1 Mart Raudsepp gentoo-dev 2020-02-02 19:50:01 UTC
enchant-2 is now fully parallel installable with enchant-1.6 in main tree and unmasked.
However, we still can use this tracker to get all the consumers to switch over from enchant:0 to enchant:2, so we could remove enchant:0 eventually.
This is especially problematic for gspell/gtkspell, where some packages link to enchant:0 themselves, while gspell or gtkspell could be linking to enchant:2 instead (if the versions/revisions that use enchant:2 would be unmasked).